کدبازان
آموزش ارتقاء (بروزرسانی) جوملا 2.5 به جوملا 3.5 | جوملا الیت | مرجع افزونه های فارسی جوملا | Joomla Elite
  1. جوملا الیت از کوکی ها استفاده می کند.با ادامه استفاده از این سایت، شما موافق استفاده از کوکی ها هستید بیشتر بدانید.

آموزش ارتقاء (بروزرسانی) جوملا 2.5 به جوملا 3.5

شروع موضوع توسط Mahdi Amereh ‏دسامبر 29, 2014 در انجمن جوملا 3.5

  1. Mahdi Amereh

    Mahdi Amereh مهدی آمره
    عضو کادر مدیریت

    ارسال ها:
    1,001
    تشکر شده:
    634
    محل سکونت:
    تهران
    درود بر شما

    با توجه به اتمام پشتیبانی از جوملا 2.5 توسط جوملا جهانی[اطلاعات بیشتر] بر آن شدم تا آموزشی مختصر درباره نحوه ارتقاء جوملا 2.5 به جوملا 3.5 ارائه دهم.در این آموزش شما چگونگی ارتقاء جوملا 2.5 به سری جوملا 3.X را خواهید آموخت.

    برخی از دوستان ارتقاء جوملا 2.5 به جوملا 3.5 را عمل مهاجرت خواندند! که اینگونه نیست... مهاجرت تنها در جوملا 1.5 به 2.5 وجود داشت که آن هم بدلیل تغیر ساختار کلی جوملا 2.5 بود.

    نکاتی که قبل از انجام فرآیند ارتقاء باید بدانید :
    1. ابتدا یک بک آپ کامل از فایل های سایت و پایگاه داده در دسترس داشته باشد.
    2. ابتدا اطمینان حاصل نمایید که افزونه های مورد استفاده شده در جوملا 2.5 شما دارای نسخه بهینه شده برای جوملا 3.5 می باشند.
    3. تمامی افزونه ها و قالب هایی که در جوملا 2.5 نصب کرده اید را غیر فعال کنید.
    4. جوملای خود را به آخرین نسخه موجود بروزرسانی نمایید[در حال حاظر جوملا 2.5.28]ضروری نیست(پیشنهادشده).
    5. افزونه های خود را به آخرین نسخه های موجود بروزرسانی نمایید.ضروری نیست(پیشنهادشده.
    6. در این زمان آخرین نسخه سری جوملا 3.0 جوملا 3.3.6 می باشد ، اگر در زمانی که شما اقدام به بروزرسانی می نمایید نسخه جوملا 3.0 بالاتر بود هیچ مشکلی وجود ندارد!
    7. زبان قسمت مدیریت خود را روی انگلیسی قرار دهید و سایت را در حالت آفلاین قرار دهید.
    با توجه به وجود نسخه های فارسی ساز مختلف از سوی تیم های مختلف و تفاوت برخی واژه ها با یکدیگر ما از زبان انگلیسی در جوملا استفاده کردیم که این آموزش برای تمامی کاربران قابل استفاده باشد.پیشنهاد می کنم شما هم برای انجام فرآیند ارتقا زبان مدیریت خود را روی انگلیسی قرار دهید تا مشکلی برای شما ایجاد نگردد!

    مرحله 1 - طبق تصویر زیر وارد منوی Components (کامپوننت ها) شوید و از این منو گزینه Joomla! Update (بروزرسانی جوملا یا ارتقاء جوملا) را انتخاب نمایید.
    upgrad-joomla3.png
    مرحله 2 -پس از ورود به مسیر فوق وارد صفحه ای به شکل زیر خواهید شد.بر روی دکمه Options (انتخاب ها) کلیک نمایید.
    upgrad-joomla3_1.png
    مرحله 3 - پس از کلیک بر روی دکمه Options (انتخاب ها) صفحه ای به شکل زیر نمایان خواهد شد.قسمت Update server (سرور بروزرسانی) را روی Short Term Suppor (پشتیبانی کوتاه مدت) قرار داده و ذخیره نمایید.
    upgrad-joomla3_2.png

    مرحله 4 - بعد از ذخیره سازی و بستن پنچره بالا یک گزینه به انتهای صفحه جاری با عنوان Install the Update ظاهر خواهد شد! برای شروع فرآیند ارتقاء روی این دکمه کلیک نمایید.

    1- اگر پس از ذخیره گزینه Install the Update و اطلاعات بروزرسانی نمایان نشد ، وارد مسیر زیر شده و روی گزینه "پاک کردن کش " کلیک نمایید.پس از انجام اینکار اطلاعات بروزرسانی و .. برای شما نمایش داده خواهد شد.
    کد:
    مدیریت افزونه ها -> سربرگ بروزرسانی
    upgrad-joomla3_3.png
    بعد از کلیک بر روی این دکمه عملیات ارتقاء آغاز شده ، این زمان بسته به نوع سایت و سرعت اینترنت شما متغیر است .

    حال شما با موفقیت جوملای خود را به جوملا 3.5 ارتقا داده اید! حال نوبت به بروزرسانی افزونه هایی است که از آن ها استفاده کرده اید.
    به طور مثال اگر شما از کامنتو در جوملا 2.5 استفاده کرده اید باید به سایت سازنده رجوع کرده و نسخه بهینه شده برای جوملا 3.5 را دانلود و بر روی جوملای خود نصب نمایید!

    به امید روزهای بهتر / موفق باشید
     
    #1 Mahdi Amereh, ‏دسامبر 29, 2014
    آخرین ویرایش: ‏آگوست 24, 2015
    rezadindar, Majid730, shigr و 4 کاربر دیگر از این پست تشکر کرده اند.
  2. javad

    javad کاربر فعال

    ارسال ها:
    49
    تشکر شده:
    23
    محل سکونت:
    tehran
    سلام
    بعد از انجام بروز رسانی جوملا و افزونه ها قالب سایت هم باید تبدیل به ورژن 3.5 بشه یا نیاز نیست ؟
     
    shigr, alibabajoon و momandez از این پست تشکر کرده اند.
  3. Mahdi Amereh

    Mahdi Amereh مهدی آمره
    عضو کادر مدیریت

    ارسال ها:
    1,001
    تشکر شده:
    634
    محل سکونت:
    تهران
    سلام.

    اگر نسخه بروزرسانی در دسترس هست حتما بروزرسانی کنید ;)
     
    shigr, alibabajoon, momandez و 2 کاربر دیگر از این پست تشکر کرده اند.
  4. shigr

    shigr کاربر جدید

    ارسال ها:
    18
    تشکر شده:
    4
    محل سکونت:
    qom
    با سلام من بروز رسانی انجام دادم اما سایتم پرید راهی برای بازگشت هست ؟ مشکل کجاست
    ادرس سایت باتشکر
    http://fikronazar.com/
    کد:
    Fatal error: Call to undefined method Joomla\Registry\Registry::getValue() in /home/public_html/components/com_jcomments/libraries/joomlatune/joomla/jversion.php on line 35
     
  5. Mahdi Amereh

    Mahdi Amereh مهدی آمره
    عضو کادر مدیریت

    ارسال ها:
    1,001
    تشکر شده:
    634
    محل سکونت:
    تهران
    سلام
    قبل از انجام عمل بروزرسانی یک بار نکات ذکر شده در آموزش رو با دقت مطالعه می کردید چنین مشکلی براتون بوجود نمیومد :(
    مشکل از جی کامنت هست ، این افزونه رو از طریق دیتابیس غیر فعال کنید ببنید سایت بالا میاد
     
    #5 Mahdi Amereh, ‏فوریه 23, 2015
    آخرین ویرایش: ‏فوریه 23, 2015
    shigr از این پست تشکر کرده است.
  6. shigr

    shigr کاربر جدید

    ارسال ها:
    18
    تشکر شده:
    4
    محل سکونت:
    qom
    بله شما درست میفرمائید مطالبتون خیلی جالب بود سریع رفتم رویه راهنمائی ها اپدیت ....:wub:
    lمن گزینه مورد نظر پیدا کردم منظور از غیر فعال یعنی چی به چه شیوه ای باید غیر فعال کرد ایا باید حذف کنیم ؟ برم ممنون:heart::help:
     
    #6 shigr, ‏فوریه 23, 2015
    آخرین ویرایش: ‏فوریه 23, 2015
  7. shigr

    shigr کاربر جدید

    ارسال ها:
    18
    تشکر شده:
    4
    محل سکونت:
    qom
    ممنون گزینه ها رو غیر فعال کردم اما نه از دیتابیس بلکه از قسمت کامپونت ها ممنون
     
  8. Mahdi Amereh

    Mahdi Amereh مهدی آمره
    عضو کادر مدیریت

    ارسال ها:
    1,001
    تشکر شده:
    634
    محل سکونت:
    تهران
    فکر کردم دسترسی به مدیریت جوملا ندارید ، به همین خاطر گفتم از طریق دیتابیس ;)
    حالا اگر قصد استفاده از جی کامنت رو دارید کافیه آخرین نسخه سازگار با جوملا 3.0 رو دانلود و نصب کنید(پیشنهاد می کنم از کومنتو استفاده کنید :cool:)

    به امید روزهای بهتر / موفق باشید
     
    shigr و javad از این پست تشکر کرده اند.
  9. alizali

    alizali تازه وارد

    ارسال ها:
    1
    تشکر شده:
    1
    محل سکونت:
    اصفهان
    با سلام
    من توی تنظیمات پشتیبانی کوتاه مدت رو انتخب میکنم. ولی تغییر صفحه رخ نمیدهد و همچنان می نویسه
    بروزرسانی موجود نیست

    شما آخرین نسخه جوملا را هم اکنون دارید، 2.5.28.
     
    Mahdi Amereh از این پست تشکر کرده است.
  10. Mahdi Amereh

    Mahdi Amereh مهدی آمره
    عضو کادر مدیریت

    ارسال ها:
    1,001
    تشکر شده:
    634
    محل سکونت:
    تهران
    با سلام
    آموزش بروزرسانی شد:
     
    alizali از این پست تشکر کرده است.
  11. Majid730

    Majid730 کاربر جدید

    ارسال ها:
    12
    تشکر شده:
    4
    محل سکونت:
    تهران
    برای من نمیاد این بخش و میزنه جوملای شما آخرین نسخه هستش !
     
  12. rezajaf

    rezajaf کاربر انجمن

    ارسال ها:
    32
    تشکر شده:
    25
    محل سکونت:
    خوزستان
    Mahdi Amereh از این پست تشکر کرده است.
  13. Mahdi Amereh

    Mahdi Amereh مهدی آمره
    عضو کادر مدیریت

    ارسال ها:
    1,001
    تشکر شده:
    634
    محل سکونت:
    تهران
    پست قبلی عرض کردم که چه باید کرد که مشکل برطرف بشه :)
     
    Majid730 از این پست تشکر کرده است.
  14. Majid730

    Majid730 کاربر جدید

    ارسال ها:
    12
    تشکر شده:
    4
    محل سکونت:
    تهران
    من توی لوکال که عمل به روز رسانی را انجام میدم در قسمت کاربری سایت هیچ مشکلی وجود نداره ولی در قسمت مدیریت سایت کلا همه چی بهم میریزه و ارور زیر را به صورت چندین خط تکرار میکنه و ظاهر صفحه هم بهم میریزه و توی برخی جاها هم نمیره و ارورهای زیادی را میده:

    Notice: Use of undefined constant DS - assumed 'DS' in C:\xampp\htdocs\Marem\plugins\system\missioncontrol\missioncontrol.php on line 184
     
  15. Mahdi Amereh

    Mahdi Amereh مهدی آمره
    عضو کادر مدیریت

    ارسال ها:
    1,001
    تشکر شده:
    634
    محل سکونت:
    تهران
    قبل از انجام بروزرسانی تمامی افزونه ها و قالب هایی که در جوملا 2.5 نصب کردید رو غیر فعال کنید ، سپس عمل بروزرسانی رو انجام بدید
     
  16. Majid730

    Majid730 کاربر جدید

    ارسال ها:
    12
    تشکر شده:
    4
    محل سکونت:
    تهران
    مشکل در لوکال بود از طریق سایت به روز رسانی را انجام دادم درست شد.
    با تشکر
     
    Mahdi Amereh از این پست تشکر کرده است.
  17. magholiali

    magholiali Guest

    باسلام
    جوملای رو میخوام ارتقابدم تا قسمت نصب نسخه بروز رسانی پیش میره اما خطای ورود نامعتبر می دهد(invalid login)
    میشه دوستان راهنمایی کنن
     
  18. Mahdi Amereh

    Mahdi Amereh مهدی آمره
    عضو کادر مدیریت

    ارسال ها:
    1,001
    تشکر شده:
    634
    محل سکونت:
    تهران
    سلام عزیز

    ای کاش ذکر می کردید که قصد دارید به چه نسخه ای ارتقا بدید. از نسخه چند به چند جوملا :)
    در داکیومنت جوملا جهانی آمده است که :
    این مشکل تنها در نسخه های 2.5.26 • 3.2.6 • 3.3.5 وجود داره. راه حال هم که بیان کردند این هست که ابتدا به یکی از نسخه های 2.5.27, 3.2.7, یا 3.3.6 بروزرسانی کنید